You have no items in your shopping cart.

Anno 2070 - The E.V.E. Package

$0.89
$0.99
+ -

About This Content

Get access to a new red-glowing portrait of E.V.E. to individualize your profile, consistent with the Nordamark Conflict’s design.
Products specifications
Attribute name Attribute value
Language English,French,German,Italian,Polish,Spanish - Spain,Czech,Russian
MAC
Linux
Developer Blue Byte, Related Designs
Publisher Ubisoft
Review 8 user reviews - Need more user reviews to generate a score
Windows <div class="game_area_sys_req_full"><ul><ul class="sys-ul"><li><strong>OS:</strong> Windows® XP / Windows Vista® / Windows® 7<br/> </li><li><strong>Processor:</strong> 2 GHz Intel® Core™2 Duo or AMD Athlon™ 64 X2 or better<br/> </li><li><strong>Memory:</strong> 2 GB (4 GB recommended)<br/> </li><li><strong>Graphics:</strong> 512 MB DirectX® 9.0c–compatible with Shader Model 3.0 or higher (see supported list)*<br/> </li><li><strong>DirectX®:</strong> 9.0c<br/> </li><li><strong>Hard Drive:</strong> 5 GB<br/> </li><li><strong>Sound:</strong> DirectX 9.0c–compliant<br/> </li><li><strong>Peripherals:</strong> Windows-compatible mouse and keyboard<br/> </li><li><strong>Internet Connection:</strong> Temporary broadband connection for product registration, permanent broadband connection for multiplayer.<br/> <strong>*Supported Video Cards at Time of Release:</strong><br/><br/> ATI Radeon™ X1000/HD 2000/3000/4000/5000/6000 series<br/><br/> NVIDIA® GeForce® 7/8/9/100/200/300/400/500 series<br/><br/><br/> Laptop versions of these cards may work, but are not supported. These chipsets are the only ones that will run this game. For the most up-to-date minimum requirement listings, please visit the FAQ on our support website at: <a href="https://steamcommunity.com/linkfilter/?url=http://support.ubi.com/" rel="noopener" target="_blank">http://support.ubi.com/</a>.<br/> <br/>Requires a UPlay account<br/> </li></ul> </ul></div>
Developer Web http://anno.ubi.com
Product tags
Categories